﻿// <auto-generated />
using System;
using AuthnData;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace Authn.Migrations
{
    [DbContext(typeof(MyDbContext))]
    [Migration("20220110130131_Initial")]
    partial class Initial
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Relational:MaxIdentifierLength", 64)
                .HasAnnotation("ProductVersion", "5.0.13");

            modelBuilder.Entity("AuthnData.Classes.Accounts", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("ConfirmationToken")
                        .HasColumnType("text");

                    b.Property<string>("Email")
                        .HasColumnType("text");

                    b.Property<DateTime>("LastConnectionDate")
                        .HasColumnType("datetime");

                    b.Property<DateTime>("LastResetPasswordDate")
                        .HasColumnType("datetime");

                    b.Property<string>("Password")
                        .HasColumnType("text");

                    b.Property<byte>("RememberMe")
                        .HasColumnType("tinyint unsigned");

                    b.Property<string>("ResetPasswordToken")
                        .HasColumnType("text");

                    b.Property<string>("Username")
                        .HasMaxLength(50)
                        .HasColumnType("varchar(50)");

                    b.Property<byte>("isConfirmed")
                        .HasColumnType("tinyint unsigned");

                    b.HasKey("Id");

                    b.ToTable("Accounts");
                });

            modelBuilder.Entity("AuthnData.Classes.Answers", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("Content")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<DateTime>("Date")
                        .HasColumnType("datetime");

                    b.Property<int?>("SondagesId")
                        .HasColumnType("int");

                    b.Property<int>("ordreNumber")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("SondagesId");

                    b.ToTable("Answers");
                });

            modelBuilder.Entity("AuthnData.Classes.InvitedUsers", b =>
                {
                    b.Property<string>("Mail")
                        .HasColumnType("varchar(767)");

                    b.Property<int>("SondageId")
                        .HasColumnType("int");

                    b.HasKey("Mail", "SondageId");

                    b.ToTable("InvitedUsers");
                });

            modelBuilder.Entity("AuthnData.Classes.Sondages", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<int?>("AccountsId")
                        .HasColumnType("int");

                    b.Property<DateTime>("Date")
                        .HasColumnType("datetime");

                    b.Property<string>("Question")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("closeToken")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<DateTime>("expirationDate")
                        .HasColumnType("datetime");

                    b.Property<byte>("expireWithDate")
                        .HasColumnType("tinyint unsigned");

                    b.Property<byte>("isClosed")
                        .HasColumnType("tinyint unsigned");

                    b.Property<byte>("isMultipleAnswer")
                        .HasColumnType("tinyint unsigned");

                    b.Property<byte>("notifiedByMail")
                        .HasColumnType("tinyint unsigned");

                    b.Property<string>("publicToken")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("viewToken")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.HasIndex("AccountsId");

                    b.ToTable("Sondages");
                });

            modelBuilder.Entity("AuthnData.Classes.UsersAnswers", b =>
                {
                    b.Property<int>("accountId")
                        .HasColumnType("int");

                    b.Property<int>("sondageId")
                        .HasColumnType("int");

                    b.Property<DateTime>("answerDate")
                        .HasColumnType("datetime");

                    b.Property<string>("answers")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("accountId", "sondageId");

                    b.ToTable("UsersAnswer");
                });

            modelBuilder.Entity("AuthnData.Classes.Answers", b =>
                {
                    b.HasOne("AuthnData.Classes.Sondages", "Sondages")
                        .WithMany()
                        .HasForeignKey("SondagesId");

                    b.Navigation("Sondages");
                });

            modelBuilder.Entity("AuthnData.Classes.Sondages", b =>
                {
                    b.HasOne("AuthnData.Classes.Accounts", "Accounts")
                        .WithMany()
                        .HasForeignKey("AccountsId");

                    b.Navigation("Accounts");
                });
#pragma warning restore 612, 618
        }
    }
}
